Submit a form with captcha validation and optional file uploads
cURL
curl --request POST \ --url 'https://cms.thepublive.com/publisher/<PUBLISHER_ID>/form/<PK>/submit/' \ --header 'Authorization: <authorization>' \ --header 'Content-Type: application/json' \ --data ' { "schema": "<string>", "g-recaptcha-response": "<string>", "<field_name>": "<string>" } '
{ "status": "success", "data": { "id": "<SUBMISSION_ID>", "dynamic_fields": { "<FIELD_LABEL>": "<VALUE>", "<FILE_FIELD_LABEL>": "<VALUE>" }, "form_name": "<form_name>", "submitted_by": { "name": "<name>", "email": "<email>", "photo_thumbnail": "<url>" }, "post": {}, "draft_by": {}, "draft_on": null, "created_at": "2026-02-23T10:11:12Z", "updated_at": "2026-02-23T10:11:12Z", "schema": { } } }
schema
name
email
curl -X POST \ 'https://cms.thepublive.com/publisher/123/form/64f0d2b2a9e3f59a2e4a1234/submit/' \ -H 'Authorization: <AUTH_TOKEN>' \ -H 'Content-Type: multipart/form-data' \ -F 'schema=64f0d2b2a9e3f59a2e4a1234' \ -F 'g-recaptcha-response=<RECAPTCHA_TOKEN>' \ -F 'name=Jane Doe' \ -F 'email=jane@example.com' \ -F 'resume=@/path/to/file.pdf'
Was this page helpful?